export class StsInfo {
    constructor() {
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (a42) => {
            this.mAccessKeyId = a42;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (z41) => {
            this.mAccessKeySecret = z41;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (y41) => {
            this.mSecurityToken = y41;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (x41) => {
            this.mRegion = x41;
        };
        this.nativeGetFormatStr = () => {
            return this.getFormatStr();
        };
        this.mAccessKeyId = '';
        this.mAccessKeySecret = '';
        this.mSecurityToken = '';
        this.mRegion = '';
        this.mFormats = [];
    }
    setAccessKeyId(n41) {
        this.mAccessKeyId = n41;
    }
    setAccessKeySecret(m41) {
        this.mAccessKeySecret = m41;
    }
    setSecurityToken(l41) {
        this.mSecurityToken = l41;
    }
    setRegion(k41) {
        this.mRegion = k41;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    getRegion() {
        return this.mRegion;
    }
    getFormats() {
        return this.mFormats;
    }
    setFormats(j41) {
        this.mFormats = j41;
    }
    getFormatStr() {
        if (!this.mFormats || this.mFormats.length == 0) {
            return "";
        }
        let h41 = "";
        for (let i41 of this.mFormats) {
            if (i41 != null) {
                h41 += i41 + ",";
            }
        }
        if (h41.length > 0) {
            h41 = h41.slice(0, -1);
        }
        return h41;
    }
}
